BDDMockito.BDDOngoingStubbingImpl
Date: 2015-09-18

org.mockito

## Class BDDMockito.BDDOngoingStubbingImpl<T>

- java.lang.Object
- - org.mockito.BDDMockito.BDDOngoingStubbingImpl<T>

- All Implemented Interfaces:
    BDDMockito.BDDMyOngoingStubbing<T>
  Enclosing class:
    BDDMockito

  Deprecated.
  not part of the public API, use `BDDMockito.BDDMyOngoingStubbing` instead.

      @Deprecated
      public static class BDDMockito.BDDOngoingStubbingImpl<T>
      extends java.lang.Object
      implements BDDMockito.BDDMyOngoingStubbing<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BDDMockito.BDDOngoingStubbingImpl(OngoingStubbing<T> ongoingStubbing)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<M> M` | `getMock()` Deprecated. See original `OngoingStubbing.getMock()`
    `BDDMockito.BDDMyOngoingStubbing<T>` | `will(Answer<?> answer)` Deprecated. See original `OngoingStubbing.then(Answer)`
    `BDDMockito.BDDMyOngoingStubbing<T>` | `willAnswer(Answer<?> answer)` Deprecated. See original `OngoingStubbing.thenAnswer(Answer)`
    `BDDMockito.BDDMyOngoingStubbing<T>` | `willCallRealMethod()` Deprecated. See original `OngoingStubbing.thenCallRealMethod()`
    `BDDMockito.BDDMyOngoingStubbing<T>` | `willReturn(T value)` Deprecated. See original `OngoingStubbing.thenReturn(Object)`
    `BDDMockito.BDDMyOngoingStubbing<T>` | `willReturn(T value, T... values)` Deprecated. See original `OngoingStubbing.thenReturn(Object, Object[])`
    `BDDMockito.BDDMyOngoingStubbing<T>` | `willThrow(java.lang.Class<? extends java.lang.Throwable>... throwableClasses)` Deprecated. See original `OngoingStubbing.thenThrow(Class[])`
    `BDDMockito.BDDMyOngoingStubbing<T>` | `willThrow(java.lang.Throwable... throwables)` Deprecated. See original `OngoingStubbing.thenThrow(Throwable...)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BDDMockito.BDDOngoingStubbingImpl

          public BDDMockito.BDDOngoingStubbingImpl(OngoingStubbing<T> ongoingStubbing)

      Deprecated.

  - ### Method Detail

    - #### willAnswer

          public BDDMockito.BDDMyOngoingStubbing<T> willAnswer(Answer<?> answer)

      Deprecated.
      Description copied from interface: `BDDMockito.BDDMyOngoingStubbing`
      See original `OngoingStubbing.thenAnswer(Answer)`
      Specified by:
        `willAnswer` in interface `BDDMockito.BDDMyOngoingStubbing<T>`

    - #### will

          public BDDMockito.BDDMyOngoingStubbing<T> will(Answer<?> answer)

      Deprecated.
      Description copied from interface: `BDDMockito.BDDMyOngoingStubbing`
      See original `OngoingStubbing.then(Answer)`
      Specified by:
        `will` in interface `BDDMockito.BDDMyOngoingStubbing<T>`

    - #### willReturn

          public BDDMockito.BDDMyOngoingStubbing<T> willReturn(T value)

      Deprecated.
      Description copied from interface: `BDDMockito.BDDMyOngoingStubbing`
      See original `OngoingStubbing.thenReturn(Object)`
      Specified by:
        `willReturn` in interface `BDDMockito.BDDMyOngoingStubbing<T>`

    - #### willReturn

          public BDDMockito.BDDMyOngoingStubbing<T> willReturn(T value,
                                                      T... values)

      Deprecated.
      Description copied from interface: `BDDMockito.BDDMyOngoingStubbing`
      See original `OngoingStubbing.thenReturn(Object, Object[])`
      Specified by:
        `willReturn` in interface `BDDMockito.BDDMyOngoingStubbing<T>`

    - #### willThrow

          public BDDMockito.BDDMyOngoingStubbing<T> willThrow(java.lang.Throwable... throwables)

      Deprecated.
      Description copied from interface: `BDDMockito.BDDMyOngoingStubbing`
      See original `OngoingStubbing.thenThrow(Throwable...)`
      Specified by:
        `willThrow` in interface `BDDMockito.BDDMyOngoingStubbing<T>`

    - #### willThrow

          public BDDMockito.BDDMyOngoingStubbing<T> willThrow(java.lang.Class<? extends java.lang.Throwable>... throwableClasses)

      Deprecated.
      Description copied from interface: `BDDMockito.BDDMyOngoingStubbing`
      See original `OngoingStubbing.thenThrow(Class[])`
      Specified by:
        `willThrow` in interface `BDDMockito.BDDMyOngoingStubbing<T>`

    - #### willCallRealMethod

          public BDDMockito.BDDMyOngoingStubbing<T> willCallRealMethod()

      Deprecated.
      Description copied from interface: `BDDMockito.BDDMyOngoingStubbing`
      See original `OngoingStubbing.thenCallRealMethod()`
      Specified by:
        `willCallRealMethod` in interface `BDDMockito.BDDMyOngoingStubbing<T>`

    - #### getMock

          public <M> M getMock()

      Deprecated.
      Description copied from interface: `BDDMockito.BDDMyOngoingStubbing`
      See original `OngoingStubbing.getMock()`
      Specified by:
        `getMock` in interface `BDDMockito.BDDMyOngoingStubbing<T>`